Subject: bug#20782: closed (Re: bug#20782: 25.0.50; Emacs crashes when creating a file with emacs-template package w/o interactive call)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2016 19:05:02 +0000

Your bug report

#20782: 25.0.50; Emacs crashes when creating a file with emacs-template package w/o interactive call

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20782: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20782
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20782: 25.0.50; Emacs crashes when creating a file with emacs-template package w/o interactive call
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2016 14:03:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii wrote:

> Since you are using an old verion of the development sources, doing
> that wouldn't be an efficient way of investigating this problem.  I
> suggest to upgrade to the latest sources, and if the problem still
> persists, we can take it from there.

18 months on, I'm closing this.

Subject: 25.0.50; Emacs crashes when creating a file with emacs-template package w/o interactive call
From: [email-masked] (Vincent Belaïche)
To: [email-masked]
Cc: Vincent Belaïche <[email-masked]>
Date: Wed, 10 Jun 2015 14:55:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using a fairly recent version of Emacs, but not the latest one. I
was developping some macro in order to create a file from the row of a
SES table based on some template. To that purpose I was using the
emacs-template pacakge. Attached is a backtrace. It seems that the bug
is reproducible for me, I have not yet tried with the -Q option.

---
Ce courrier électronique ne contient aucun virus ou logiciel malveillant parce que la protection avast! Antivirus est active.
https://www.avast.com/antivirus
bash-3.1$ cd /c
bash-3.1$ source ~/.bash_profile
]0;MINGW32:/c
Vincent@AIGLEROYAL /c
$ c:/
]0;MINGW32:/c
Vincent@AIGLEROYAL /c
$ cd Programmes/installation/emacs-install/emacs/trunk/src/
]0;MINGW32:/c/Programmes/installation/emacs-install/emacs/trunk/src
Vincent@AIGLEROYAL /c/Programmes/installation/emacs-install/emacs/trunk/src
$ gdb -p 6884
GNU gdb (GDB) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-w64-mingw32".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
Attaching to process 6884
[New Thread 6884.0x13e4]
[New Thread 6884.0x79c]
[New Thread 6884.0x1d34]
[New Thread 6884.0x1c38]
Reading symbols from C:\Nos_Programmes\GNU\Emacs\bin\emacs.exe...done.
0x77b9000d in ntdll!DbgBreakPoint () from C:\Windows\SysWOW64\ntdll.dll
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = w32
TERM = emacs
Breakpoint 1 at 0x109a2de: file emacs.c, line 360.
Temporary breakpoint 2 at 0x10b0c23: file sysdep.c, line 911.
(gdb) continue
Continuing.
[Thread 6884.0x1c38 exited with code 0]

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 6884.0x13e4]
0x77523227 in KERNELBASE!DebugBreak () from C:\Windows\syswow64\KernelBase.dll

(gdb) bt full
#0  0x77523227 in KERNELBASE!DebugBreak ()
   from C:\Windows\syswow64\KernelBase.dll
No symbol table info available.
#1  0x01158a68 in emacs_abort () at w32fns.c:8530
        button = <optimized out>
#2  0x0109a353 in terminate_due_to_signal (sig=sig@entry=11, 
    backtrace_limit=backtrace_limit@entry=40) at emacs.c:388
No locals.
#3  0x010b08e0 in handle_fatal_signal (sig=sig@entry=11) at sysdep.c:1706
No locals.
#4  0x010b0945 in deliver_thread_signal (
    handler=0x10b08c9 <handle_fatal_signal>, sig=11) at sysdep.c:1680
No locals.
#5  deliver_fatal_thread_signal (sig=11) at sysdep.c:1718
No locals.
#6  0x011aa086 in _gnu_exception_handler@4 ()
No symbol table info available.
#7  0x75e4030b in KERNEL32!GetProfileStringW ()
   from C:\Windows\syswow64\kernel32.dll
No symbol table info available.
#8  0x77bf1d17 in ntdll!RtlKnownExceptionFilter ()
   from C:\Windows\SysWOW64\ntdll.dll
No symbol table info available.
#9  0x77bb92b5 in ntdll!RtlInitializeExceptionChain ()
   from C:\Windows\SysWOW64\ntdll.dll
No symbol table info available.
#10 0x00000000 in ?? ()
No symbol table info available.

Lisp Backtrace:
"backtrace" (0x88e81c)
"debugger-setup-buffer" (0x88ea24)
"debug" (0x88ebc4)
"template-new-file" (0x88ec20)
"let" (0x88ee0c)
"quittances-faire" (0x88f0ac)
"funcall-interactively" (0x88f0a8)
"call-interactively" (0x88f170)
"command-execute" (0x88f318)
"execute-extended-command" (0x88f548)
"funcall-interactively" (0x88f544)
"call-interactively" (0x88f6f0)
"command-execute" (0x88f88c)
(gdb) quit
A debugging session is active.

	Inferior 1 [process 6884] will be detached.

Quit anyway? (y or n) [answered Y; input not from terminal]
Detaching from program: C:\Nos_Programmes\GNU\Emacs\bin\emacs.exe, Pid 6884
]0;MINGW32:/c/Programmes/installation/emacs-install/emacs/trunk/src
Vincent@AIGLEROYAL /c/Programmes/installation/emacs-install/emacs/trunk/src
$ 

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-11-03 on AIGLEROYAL
Repository revision: 118270 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=c:/Nos_Programmes/GNU/Emacs --without-jpeg
 --without-tiff --without-gif --without-png 'CPPFLAGS= -DFOR_MSW=1 -I
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/include -I
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src -L
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src''

Configured features:
XPM SOUND NOTIFY ACL ZLIB

Important settings:
  value of $LANG: FRA
  locale-coding-system: cp1252

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
M-x b a h s <backspace> <backspace> s h <return> c 
d SPC / c <return> M-x s o u r c e C-g s o u r c e 
SPC ~ / ? <backspace> . a b <tab> <backspace> <backspace> 
b a <tab> p r o <tab> <return> C-x g c d SPC P r o 
<tab> m <tab> i n s <tab> e m <tab> <kp-subtract> <tab> 
t r <tab> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> e m <tab> r u <tab> <backspace> 
<backspace> t r <tab> / s r <tab> <return> g d b SPC 
<kp-subtract> p SPC <kp-6> <kp-8> <kp-8> <kp-4> <return> 
c o n t i n u e <return> <help-echo> h e l p <return> 
h l <backspace> e l p SPC t <backspace> s t a v c k 
<backspace> <backspace> <backspace> c k <return> b 
a c <backspace> <backspace> <backspace> h e l p SPC 
b t <return> b t <up> C-SPC <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> C-w <down> <end> <return> <prior> M-> M-x b u 
g - r e <tab> <M-backspace> r e <backspace> <M-backspace> 
<M-backspace> r e p o <backspace> p o <tab> <backspace> 
<backspace> o r <tab> e m <tab> <return>

Recent messages:

coucou!=>c:/
]0;MINGW32:/c
[32mVincent@AIGLEROYAL [33m/c[0m
$ <=
bash refresh default directory ... done
No match
c:/Programmes/installation/emacs-install/emacs/trunk/src 
Mark set [2 times]
Loading dired-x...done

Load-path shadows:
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio-speedbar hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio-speedbar
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio-opt hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio-opt
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio-datadebug hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio-datadebug
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio-custom hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio-custom
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio-core hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio-core
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/eieio-base hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/eieio-base
c:/Programmes/installation/cedet-install/cedet-git/lisp/eieio/chart hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.0.50/lisp/emacs-lisp/chart

Features:
(shadow sort bbdb-message gnus-util mail-extr emacsbug message dired-x
dired format-spec rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils pcmpl-unix shell
pcomplete comint ansi-color ring edmacro kmacro calc-misc calc-arith
calc-ext calc calc-loaddefs calc-macs tex-mik preview-latex tex-site
auto-loads bbdb bbdb-site timezone bbdb-loaddefs template help-fns
cl-macs gv w32utils recentf tree-widget wid-edit cl-loaddefs cl-lib
easymenu load-path-to-cedet-svn time-date tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table w32-win w32-vars tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 8 132919 5898)
 (symbols 32 23418 0)
 (miscs 32 103 287)
 (strings 16 26605 3950)
 (string-bytes 1 793522)
 (vectors 8 14145)
 (vector-slots 4 431199 2498)
 (floats 8 74 246)
 (intervals 28 1130 249)
 (buffers 520 13))